---
- entityDefinitions:
  - IDI_SystemAttributeRoutine_GetRuntimeVersion: '{dc4e6c8d-936d-457f-90e9-af47e229b80c}' # {5d13d326-bbf2-4421-b1f0-4fa43892bcf5}

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_SystemAttributeRoutine;'
    name: System Attribute Routine
    index: 70
    customTagName: 'systemAttributeRoutine'
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'
    instances:
    - instance: '&IDI_SystemAttributeRoutine_GetGlobalIdentifier;'
      name: 'Get Global Identifier for Instance Parm'
    - instance: '&IDI_SystemAttributeRoutine_GetInstanceText;'
      name: 'Get Instance Text for Instance Parm'
    - instance: '&IDI_SystemAttributeRoutine_GetRuntimeVersion;'
      name: 'Get Runtime Version'
    - instance: '&IDI_SystemAttributeRoutine_GetIPAddress;'
      name: 'Get IP Address'
    - instance: '&IDI_SystemAttributeRoutine_UpdateMochafile;'
      name: 'Update Mochafile'